locked
Windows 7 Upgrade Problem RRS feed

  • Question

  • Hi there,

    I just tried upgrading my machine to Windows 7 RC (x64) and everything seems to work fine, except for SyncToy 2.0. Whenever, I try to do anything with it, it complains that the Sync Framework is not installed.

    So far I've tried the following:
    - Uninstall / Install Synctoy + Sync Framework (both x86 and x64)
    - Install the SyncFramework 2.0 CTP2

    Also I've checked the assembly load log (yes it's enabled), but it also doesn't show any problem.

    Any ideas? It's a great tool and I'm missing it already!

    Thanks,
    Andreas
    Monday, August 31, 2009 12:40 PM

All replies

  • Hi -

    Can you uninstall everything - Synctoy and the Sync Framework? SyncToy currently does not work on SyncFramework 2.0 CTP2 so you should definitely not install that. Can you then install SyncToy 2.0 ( and allow that to install the version of the Sync Framework that it needs without installing it manually?). Also, can you check to see if you have .net Framework 2.0 installed? 

    Thanks
    Deepa
    Deepa ( Microsoft Sync Framework)
    Tuesday, September 1, 2009 9:58 PM
  • Ok - I gave it another and uninstalled everything and re-installed the SyncToy x64 version. It looked fine (ie it re-installed the sync-framework). However, still not working with the same problem.

    Further, I've tried to re-install .Net 2.0, but Windows 7 will not allow this - "Please use turn Windows Features on or off" to install .Net Framework. Nevertheless, I cannot find the .Net Framework 2.0 in there. Anyway, I'm 100% confident that .Net 2.0 was installed before upgrading.

    Thanks,
    Andreas
    Saturday, September 5, 2009 7:59 AM